curl --request PUT \
--url https://api.botpress.cloud/v1/chat/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"attributes": {},
"properties": {}
}
'{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
}Update a User object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
curl --request PUT \
--url https://api.botpress.cloud/v1/chat/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"attributes": {},
"properties": {}
}
'{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bot id
Integration id
Integration alias
User ID
User data
Name of the user
200URI of the user picture
40000DEPRECATED - Use properties instead.
Show child attributes
EXPERIMENTAL - Optional shared properties that can be accessed and modified by both the bot and any of its integrations. Set individual properties to null to remove them.
Show child attributes
The user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.
Show child attributes
Was this page helpful?